Sassってみよう!〜インストール編〜

Sassのインストールにちょっと手こずったので備忘録。
といっても、作業自体は5分もかからないので
Sassに興味がある方はこの機会にインストールだけでもしてみてはいかがでしょうか。
(※インストール編となっていますが、今後、続編を書くかは気分次第です(^_^;)

まずはターミナルを立ち上げてRubyのアップデートから

sudo gem update --system

上記コマンドを打ち込んでパスワードを入力。

しばらくして

RubyGems system software updated

と出たら無事完了。

次にSassをインストールします。

sudo gem install sass

ところが、ここでエラーが出てしまいます。

ERROR:  While executing gem ... (Errno::EPERM)
    Operation not permitted - /usr/bin/sass

usr/bin/にパーミッションがないとおっしゃってます。
そこで、/usr/local/binにインストール変更します。

sudo gem install -n /usr/local/bin sass

1 gem installedでインストール成功

次にCompassをインストールします。

同じく/usr/local/binにインストール。

sudo gem install -n /usr/local/bin compass

しかし、Compassもエラーが出ます。下記コードで確認してみると

compass -v
-bash: compass: command not found

・・・Compassはないとおっしゃいます(・_・;)
検索してみると、どうやらこのエラーは
「Command Line Developer Tools」をインストールすることで解決できるようです。
[参照]http://koukitips.net/mac_terminal_sass_compass/

そこで下記コードでインストールします。

sudo xcode-select --install

Xcodeからウィンドウが開き
インストールしますかと聞かれるのでインストールします。

再度インストールコマンドを入力

sudo gem install -n /usr/local/bin compass

1 gem installedでインストール成功です。

最後にインストールできたかどうか確認してみます。

sass -v
compass -v

バージョンが表示されたら無事完了です。

SNSでもご購読できます。

コメント

コメントは停止中です。